Skip to main content
`Ctrl`+`K`

# DMMoabGetFieldDofs

Gets the global degree-of-freedom of a field (component) defined on an array of MOAB EntityHandles.

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetFieldDofs(DM dm, PetscInt npoints, const moab::EntityHandle *points, PetscInt field, PetscInt *dof)

Not Collective

## Input Parameters

- dm - the discretization manager object

- npoints - the total number of Entities in the points array

- points - the MOAB EntityHandle container array which holds the field degree-of-freedom values

- field - the field (component) index

## Output Parameter

- dof - the global degree-of-freedom index array corresponding to the field in the discrete representation (Vec, Mat)

## See Also

`DMMoabGetFieldDof()`, `DMMoabGetFieldDofsLocal()`

## Level

intermediate

## Location

src/dm/impls/moab/dmmbfield.cxx

## Examples

src/ksp/ksp/tutorials/ex35.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages